window.addEventListener('message', function(event) {
    if (event.data.action === 'open') {
        showNotification(event.data.title, event.data.message, event.data.time, event.data.type);
    }
});

function showNotification(title, message, time, type) {
    const notification = document.createElement('div');
    notification.classList.add('notification', type);

    notification.innerHTML = `
        <div class="notification-icon ${type}"></div>
        <h2>${title}</h2>
        <p>${message}</p>
    `;

    document.getElementById('notification-container').appendChild(notification);

    playNotificationSound();

    setTimeout(() => {
        notification.style.animation = 'springOut 0.3s forwards';
    }, time - 300);

    setTimeout(() => {
        notification.remove();
    }, time);
}

function playNotificationSound() {
    const audio = new Audio('Notify.mp3');
    audio.play().catch(error => {
        console.error('播放通知声音时出错:', error);
    });
}
